Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# PSDPercept Class Reference

Class containg all single PSD spots perceived in one frame. More...

`#include <PSDPercept.h>`

Collaboration diagram for PSDPercept:

[legend]
List of all members.

## Public Member Functions
| PSDPercept ()
| Constructor.
| ~PSDPercept ()
| Destructor.
SinglePSDPercept & | operator[] (int index)
| [] operator
const SinglePSDPercept & | operator[] (int index) const
| [] operator
## Public Attributes
int | numOfPercepts
| number of psd percepts
SinglePSDPercept | percepts [SensorDataBuffer::maxNumOfFrames]
| array of single psd percepts

## Detailed Description

Class containg all single PSD spots perceived in one frame.

Author:
  Max Risler

Definition at line 73 of file PSDPercept.h.

## Constructor & Destructor Documentation

PSDPercept::PSDPercept | ( |  | ) |

| Constructor. Definition at line 11 of file PSDPercept.cpp.

PSDPercept::~PSDPercept | ( |  | ) |

| Destructor. Definition at line 16 of file PSDPercept.cpp.

## Member Function Documentation

SinglePSDPercept& PSDPercept::operator[] | ( | int | index | ) | `[inline]`

| [] operator Definition at line 90 of file PSDPercept.h. References percepts.

const SinglePSDPercept& PSDPercept::operator[] | ( | int | index | ) | const`[inline]`

| [] operator Definition at line 96 of file PSDPercept.h. References percepts.

## Member Data Documentation

int PSDPercept::numOfPercepts

| number of psd percepts Definition at line 78 of file PSDPercept.h. Referenced by GT2005ObstaclesLocator::addPSDPercept(), GT2005SensorDataProcessor::execute(), GT2005SensorDataProcessor::getDistanceToSIFOC(), operator<<(), operator>>(), and GT2005ObstaclesLocator::setObstaclesModel().

SinglePSDPercept PSDPercept::percepts[SensorDataBuffer::maxNumOfFrames]

| array of single psd percepts Definition at line 81 of file PSDPercept.h. Referenced by operator<<(), operator>>(), and operator[]().

The documentation for this class was generated from the following files:

- Representations/Perception/PSDPercept.h
- Representations/Perception/PSDPercept.cpp